Loading...
Searching...
No Matches
Opm::Linear::OverlappingOperator< OverlappingMatrix, DomainVector, RangeVector > Class Template Reference

An overlap aware linear operator usable by ISTL. More...

`#include <overlappingoperator.hh>`

Inheritance diagram for Opm::Linear::OverlappingOperator< OverlappingMatrix, DomainVector, RangeVector >:

## Public Types

using | domain_type = DomainVector
| export types
using | field_type = typename domain_type::field_type

## Public Member Functions

| OverlappingOperator (const OverlappingMatrix &A)
Dune::SolverCategory::Category | category () const override
| the kind of computations supported by the operator. Either overlapping or non-overlapping
virtual void | apply (const DomainVector &x, RangeVector &y) const override
| apply operator to x:
virtual void | applyscaleadd (field_type alpha, const DomainVector &x, RangeVector &y) const override
| apply operator to x, scale and add:
virtual const OverlappingMatrix & | getmat () const override
| returns the matrix
const Overlap & | overlap () const

## Detailed Description

template<class OverlappingMatrix, class DomainVector, class RangeVector>
class Opm::Linear::OverlappingOperator< OverlappingMatrix, DomainVector, RangeVector >

An overlap aware linear operator usable by ISTL.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/overlappingoperator.hh